Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_ast_struct Struct Reference

`#include <node.h>`

## Data Fields
VALUE | flags
node_buffer_t * | node_buffer
rb_ast_body_t | body

## Detailed Description

Definition at line 399 of file node.h.

## Field Documentation

## ◆ body

rb_ast_body_t rb_ast_struct::body

Definition at line 402 of file node.h.

Referenced by rb_ast_mark().

## ◆ flags

VALUE rb_ast_struct::flags

Definition at line 400 of file node.h.

## ◆ node_buffer

node_buffer_t * rb_ast_struct::node_buffer

Definition at line 401 of file node.h.

Referenced by rb_ast_add_mark_object(), rb_ast_free(), rb_ast_mark(), rb_ast_memsize(), rb_ast_newnode(), and rb_ast_update_references().

The documentation for this struct was generated from the following files:

- node.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h